<template>
  <div class="page-body page-body-default">
    <div class="empty" style="padding-top: 10rem">
      <div class="empty-img-lg">
        <img :src="dataError(error).image" height="128" />
      </div>
      <p class="empty-title">{{ dataError(error).title }}</p>
      <div class="empty-action">
        <a
          class="btn btn-primary project-new d-none d-sm-inline-block mb-5 cursor-pointer"
          @click="reload()"
        >
          <RefreshIcon />
          Try again
        </a>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  props: {
    error: {
      type: Object,
      default() {
        return {};
      },
    },
  },
  data() {
    return {
      errors: {
        401: {
          title:
            'Not Authenticated: Sorry, you have to be logged in to access this!',
          image: '/illustrations/no-datasets-found.svg',
        },
        403: {
          title: "Not Authorized: Sorry, you can't access this!",
          image: '/illustrations/no-datasets-found.svg',
        },
        404: {
          title:
            "Not Found: We couldn't find what you're looking for. Please refresh and try again, or contact the support team.",
          image: '/illustrations/empty-project-board.svg',
        },
        500: {
          title: 'Server Error: Please contact the support team.',
          image: '/illustrations/no-datasets-found.svg',
        },
      },
    };
  },
  methods: {
    reload() {
      window.location.reload();
    },
    dataError(error) {
      const errorToShow = {
        title: 'An error occurred, please try again',
        image: '/illustrations/no-datasets-found.svg',
      };
      if (error.statusCode) {
        return this.errors[error.statusCode];
      }
      return errorToShow;
    },
  },
};
</script>
